## repmgr2 2.0.3

=== Makefile ===
#
# Makefile
# Copyright (c) 2ndQuadrant, 2010-2014

repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o

DATA = repmgr.sql uninstall_repmgr.sql

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS = $(libpq_pgport)

all:  repmgrd repmgr
	$(MAKE) -C sql

repmgrd: $(repmgrd_OBJS)
	$(CC) $(CFLAGS) $(repmgrd_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgrd
	$(MAKE) -C sql

repmgr: $(repmgr_OBJS)
	$(CC) $(CFLAGS) $(repmgr_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgr

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/repmgr
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# XXX: Try to use PROGRAM construct (see pgxs.mk) someday. Right now
# is overriding pgxs install.
install: install_prog install_ext

install_prog:
	mkdir -p '$(DESTDIR)$(bindir)'
	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)$(bindir)/'
	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)$(bindir)/'

install_ext:
	$(MAKE) -C sql install

install_rhel:
	mkdir -p '$(DESTDIR)/etc/init.d/'
	$(INSTALL_PROGRAM) RHEL/repmgrd.init '$(DESTDIR)/etc/init.d/repmgrd'
	mkdir -p '$(DESTDIR)/etc/sysconfig/'
	$(INSTALL_PROGRAM) RHEL/repmgrd.sysconfig '$(DESTDIR)/etc/sysconfig/repmgrd'
	mkdir -p '$(DESTDIR)/etc/repmgr/'
	$(INSTALL_PROGRAM) repmgr.conf.sample '$(DESTDIR)/etc/repmgr/'
	mkdir -p '$(DESTDIR)/usr/bin/'
	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)/usr/bin/'
	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)/usr/bin/'

ifneq (,$(DATA)$(DATA_built))
	@for file in $(addprefix $(srcdir)/, $(DATA)) $(DATA_built); do \
	  echo "$(INSTALL_DATA) $$file '$(DESTDIR)$(datadir)/$(datamoduledir)'"; \
	  $(INSTALL_DATA) $$file '$(DESTDIR)$(datadir)/$(datamoduledir)'; \
	done
endif

clean:
	rm -f *.o
	rm -f repmgrd
	rm -f repmgr
	$(MAKE) -C sql clean

deb: repmgrd repmgr
	mkdir -p ./debian/usr/bin
	cp repmgrd repmgr ./debian/usr/bin/
	mkdir -p ./debian/usr/share/postgresql/9.0/contrib/
	cp sql/repmgr_funcs.sql ./debian/usr/share/postgresql/9.0/contrib/
	cp sql/uninstall_repmgr_funcs.sql ./debian/usr/share/postgresql/9.0/contrib/
	mkdir -p ./debian/usr/lib/postgresql/9.0/lib/
	cp sql/repmgr_funcs.so ./debian/usr/lib/postgresql/9.0/lib/
	dpkg-deb --build debian
	mv debian.deb ../postgresql-repmgr-9.0_1.0.0.deb
	rm -rf ./debian/usr

=== sql/Makefile ===
#
# Makefile
# Copyright (c) 2ndQuadrant, 2010
#

MODULE_big = repmgr_funcs
DATA_built=repmgr_funcs.sql
DATA=uninstall_repmgr_funcs.sql
OBJS=repmgr_funcs.o

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/repmgr/sql
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
repmgr2 (2.0.3-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg (jenkins-build-source-272, source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 30 Mar 2017 19:40:51 +0200

repmgr2 (2.0.3-2.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-repmgr2-source-distribution=sid-5, git
    revision 3878160e1d7934bcdcc1bb71a7d302f4a6f938a8)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Thu, 30 Apr 2015 13:38:20 +0200

repmgr2 (2.0.3-2) unstable; urgency=medium

  * Make -dbg packages replacing the old repmgr-dbg package, to smooth the upgrade.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 30 Apr 2015 12:55:25 +0200

repmgr2 (2.0.3-1) unstable; urgency=medium

  * Strip down the packaging to the only executables.
  * debian/watch: enable cryptographic signature verification
  * Filter debian/* directory during gbp import-orig
  * Set debhelper compatibility level to 9
  * Bump Standards-Version to 3.9.6, no changes required
  * Move repmgr under pg_wrapper. It will allow the user to have a
    different repmgr executable for each PostgreSQL version.
  * Remove manpages. They are badly outdated.
  * Updated debian/copyright
  * Imported Upstream version 2.0.3
  * Add fix-missing-libpq-include.patch to allow compilation with a libpq
    newer than PostgreSQL
  * Fix empty -dbg packages when supporting multiple PostgreSQL versions
  * Depends on repmgr-common >= 3.0.1-3 package which contains common
    files and init scripts.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 29 Apr 2015 17:24:30 +0200

repmgr (2.0-3) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/rules: Remove $(LIBS) from repmgr(d), it isn't needed and would
    needlessly require a build-dependency on selinux now that PostgreSQL 9.4
    build-depends on it.

  [ Marco Nenciarini ]
  * Use "9.0+" in debian/pgversions and B-D on pg-server-dev-all 148.

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 27 Jul 2014 11:53:22 +0200

repmgr (2.0-2) unstable; urgency=medium

  * Split out REPMGRD_CONF from REPMGRD_OPTS variable in default file.
    Change the init script to check if REPMGRD_CONF is set. The
    REPMGRD_OPTS is now optional.
  * Change the init script to use repmgrd native ability to daemonize and
    write a pidfile

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 25 Mar 2014 20:02:42 +0100

repmgr (2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0
  * Add --background option to repmgrd init script start action and fix
    status action.  Thanks to József Kószó
  * Use "-f" instead of "--config_file" in REPMGRD_OPTS variable of
    repmgrd default file
  * Remove "set -e" from the repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 21 Mar 2014 23:09:21 +0100

repmgr (2.0~rc2-1) unstable; urgency=medium

  * Update watch file to correctly mangle uppercase RC versions
  * Imported Upstream version 2.0~rc2
  * Update debian patches
  * Add autofailover_quick_setup.rst to installed documents
  * Install repmgr.sql and uninstall_repmgr.sql as examples
  * Add repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 04 Mar 2014 16:41:10 +0100

repmgr (2.0~beta2-3) unstable; urgency=low

  [ Christoph Berg ]
  * Add basic regression tests and run them with autopkgtest

  [ Marco Nenciarini ]
  * Update debian-makefile patch to build repmgr_funcs.so against the right
    PostgreSQL version
  * Add format-attribute-check patch

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 31 Dec 2013 20:27:06 +0100

repmgr (2.0~beta2-2) unstable; urgency=low

  * Fix missing reference to bug #724216 in 2.0~beta2-1 changelog

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Dec 2013 09:15:46 +0100

repmgr (2.0~beta2-1) unstable; urgency=low

  * Fix version mangling in debian/watch
  * Add Vcs-* fields in control file
  * Support PostgreSQL 9.3 version
  * Imported Upstream version 2.0~beta2 (Closes: #724216)
  * Removed lintian-spelling patch, fixed upstream.
  * Remove useless dh_auto_install call in override_dh_auto_install target
    from debian/rules
  * Bump standard version to 3.9.5.0 (no-chenges)
  * Canonicalize VCS-* field URI in debian/control

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 26 Dec 2013 19:45:38 +0100

repmgr (2.0~beta1-2) unstable; urgency=low

  * Add debugging symbols package repmgr-dbg

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 13 Nov 2012 11:40:12 +0100

repmgr (2.0~beta1-1) unstable; urgency=low

  * Initial release (Closes: #609719)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 07 Nov 2012 13:00:27 +0100

=== debian/control ===
Source: repmgr2
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 148~),
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev
Standards-Version: 3.9.6
Homepage: http://www.repmgr.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr2.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr2.git
XS-Testsuite: autopkgtest

Package: postgresql-9.0-repmgr
Architecture: any
Depends: postgresql-9.0, repmgr-common (>= 3.0.1-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.0
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.0.

Package: postgresql-9.0-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.0-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.0
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.0.

Package: postgresql-9.1-repmgr
Architecture: any
Depends: postgresql-9.1, repmgr-common (>= 3.0.1-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.1
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.1.

Package: postgresql-9.1-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.1-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.1
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.1.

Package: postgresql-9.2-repmgr
Architecture: any
Depends: postgresql-9.2, repmgr-common (>= 3.0.1-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.2
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.2.

Package: postgresql-9.2-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.2-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.2
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRCDIR = .
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

CFLAGS += -g

LDFLAGS += -Wl,--as-needed

MAKEFLAGS += USE_PGXS=1

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean USE_PGXS=1
	rm -rf regression.* results/

.PHONY: override_dh_strip
override_dh_strip:
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
	done

.PHONY: override_dh_auto_install
override_dh_auto_install:
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		echo "# $$v ##################################################################" ; \
		PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config ; \
		BASE=$(CURDIR)/debian/postgresql-$$v-repmgr ; \
		$(MAKE) clean PG_CONFIG=$$PG_CONFIG ; \
		mkdir -p $$BASE/usr/share/postgresql/$$v/contrib ; \
		$(MAKE) install_ext DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) all PG_CONFIG=$$PG_CONFIG ; \
		mkdir -p $$BASE/usr/lib/postgresql/$$v/bin ; \
		$(MAKE) install_prog DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
	done

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/((?i)alpha|beta|rc)/~\L$1\E/,filenamemangle=s/(repmgr-.+?)((?i)alpha|beta|rc)/$1~\L$2\E/,pgpsigurlmangle=s/$/.asc/" \
http://www.repmgr.org/download/ repmgr-(2.+)\.tar\.gz
